---
name: Bug report
about: Create a report to help us improve
title: ''
labels: 'Bug'
assignees: ''
---

**Describe the bug**
A clear and concise description of what the bug is.

**Logs**
Please include browser console and server logs around the time this bug occurred.

**To Reproduce**
To help us help you, if you've found a bug please consider the following:

- Please create a small repo that illustrates the problem.
- Reproductions should be small, self-contained, correct examples – http://sscce.org.

Occasionally, this won't be possible, and that's fine – we still appreciate you raising the issue. But please understand that `svelte-preprocess` is run by unpaid volunteers in their free time, and issues that follow these instructions will get fixed faster.

**Expected behavior**
A clear and concise description of what you expected to happen.

**Stacktraces**
If you have a stack trace to include, we recommend putting inside a `<details>` block for the sake of the thread's readability:

<details>
  <summary>Stack trace</summary>

Stack trace goes here...

</details>

**Information about your project:**

- Your browser and the version: (e.x. Chrome 52.1, Firefox 48.0, IE 10)

- Your operating system: (e.x. OS X 10, Ubuntu Linux 19.10, Windows XP, etc)

- `svelte-i18n` version (Please check you can reproduce the issue with the latest release!)

- Whether your project uses Webpack or Rollup

**Additional context**
Add any other context about the problem here.
